<html>
<head>
<title>OgreTerrainMaterialGenerator.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_6cd0971983c3e0e5b0cb362e5db7fc9d.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="dir_9b506231b651991d884bb23d993d7984.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreTerrainMaterialGenerator.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreTerrainPrerequisites_8h_source.html">OgreTerrainPrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterial_8h_source.html">OgreMaterial.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTexture_8h_source.html">OgreTexture.h</a>&quot;</code><br/>
</div>
<p><a href="OgreTerrainMaterialGenerator_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html">Ogre::TerrainLayerSamplerElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Information about one element of a sampler / texture within a layer.  <a href="structOgre_1_1TerrainLayerSamplerElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html">Ogre::TerrainLayerSampler</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Description of a sampler that will be used with each layer.  <a href="structOgre_1_1TerrainLayerSampler.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">Ogre::TerrainLayerDeclaration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The definition of the information each layer will contain in this terrain.  <a href="structOgre_1_1TerrainLayerDeclaration.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that provides functionality to generate materials for use with a terrain.  <a href="classOgre_1_1TerrainMaterialGenerator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inner class which should also be subclassed to provide profile-specific material generation.  <a href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; TerrainLayerSamplerElement &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#gaed5c69e4a57dade51d33e835d0702660">Ogre::TerrainLayerSamplerElementList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; TerrainLayerSampler &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#gadf90591c883d93190405f52ca11ef600">Ogre::TerrainLayerSamplerList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; TerrainMaterialGenerator &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#ga152d33cadca984511f2c0459562c7b0b">Ogre::TerrainMaterialGeneratorPtr</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">Ogre::TerrainLayerSamplerSemantic</a> { <a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84a6407050de320fbf7c06c77bb97e647e7">Ogre::TLSS_ALBEDO</a> =  0, 
<a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84ae90f168a77e4047af27e14ca52d8205a">Ogre::TLSS_NORMAL</a> =  1, 
<a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84adeb418649d89cf961e3f60b009a5e5fb">Ogre::TLSS_HEIGHT</a> =  2, 
<a class="el" href="group__Terrain.html#ggad6e8e88c8f2109b45648fd6f3ec00a84ae7b29f10d891aac2a3e41c71f7fa96c7">Ogre::TLSS_SPECULAR</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration of types of data that can be read from textures that are specific to a given layer.  <a href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
